---
schema_version: "1"
id: 72890a2403f35698f22bfe6ef9dffa010b485de8d8cb92ffa53b593c8dd6b9a8
title: Sample Request and Response for Executing SOQL Query
collection: admin
version: current
locale: en-us
portal_url: https://docs.salesforce.com/admin/current/en-us/service/264-0-0/conversation_transcript_api_sample3.md
canonical_url: https://help.salesforce.com/s/articleView?id=service.conversation_transcript_api_sample3.htm&release=264.0.0&type=5
source_site: help.salesforce.com
content_type: documentation
content_hash: 2b8d10ef52becf4136ca6127bcd85ecd5cb551874154585ed7c827e19670fa7d
description: This sample request is a query that uses the Data 360 auth token (dataCloudAuthToken) and instance_url obtained from Sample Exchange Access Token for Data 360 Token Request and Response to fetch the required data.
products:
  - Service Cloud
release: "264"
---
# Sample Request and Response for Executing SOQL Query

This sample request is a query that uses the Data 360 auth token (dataCloudAuthToken) and instance\_url obtained from Sample Exchange Access Token for Data 360 Token Request and Response to fetch the required data.

For this sample, the required values are obtained from [Sample Exchange Access Token for Data 360 Token Request and Response](https://help.salesforce.com/s/articleView?id=service.conversation_transcript_api_sample2.htm&type=5&language=en_US).

## Sample Request

```
curl --location 'https://your_instance_url/api/v2/query' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer dataCloudAuthToken' \
--data '{
    "sql": "SELECT ssot__Id__c, ssot__CreatedById__c, ssot__CreatedDate__c, ssot__DataSourceId__c, ssot__DataSourceObjectId__c, ssot__EndDateTime__c, ssot__ExternalRecordId__c, KQ_Id__c, ssot__LastModifiedById__c, ssot__LastModifiedDate__c FROM ssot__Conversation__dlm",
    "limit": 2,
    "offset": 0
    }'
```

## Sample Response

```
{
  "data": [
    [
      "0dwLT0000002uyzYAA",
      "005LT0000007SQzYAM",
      "2024-03-22 05:47:10.000 UTC",
      "Salesforce_00DLT0000009MKf",
      "Conversation",
      null,
      "ac6390e6-a63e-452a-a6f3-d5a07ddf97e5",
      null,
      "005LT0000007SQzYAM",
      "2024-03-22 10:47:39.000 UTC"
    ],
    [
      "0dwLT0000002vztYAA",
      "005LT0000007SQzYAM",
      "2024-04-25 09:46:47.000 UTC",
      "Salesforce_00DLT0000009MKf",
      "Conversation",
      null,
      "7d76c5e5-c363-4a20-b1d5-2b3a44568416",
      null,
      "005LT0000007SQzYAM",
      "2024-04-26 22:11:06.000 UTC"
    ]
  ],
  "startTime": "2024-05-01T21:55:35.896553Z",
  "endTime": "2024-05-01T21:56:06.02948Z",
  "rowCount": 2,
  "queryId": "20240501_215536_24297_pq7pn",
  "nextBatchId": "f84434bf-6cd5-42f1-bfed-cdd58052254a",
  "done": false,
  "metadata": {
    "ssot__CreatedDate__c": {
      "type": "TIMESTAMP WITH TIME ZONE",
      "placeInOrder": 2,
      "typeCode": 2014
    },
    "ssot__CreatedById__c": {
      "type": "VARCHAR",
      "placeInOrder": 1,
      "typeCode": 12
    },
    "ssot__EndDateTime__c": {
      "type": "TIMESTAMP WITH TIME ZONE",
      "placeInOrder": 5,
      "typeCode": 2014
    },
    "ssot__ExternalRecordId__c": {
      "type": "VARCHAR",
      "placeInOrder": 6,
      "typeCode": 12
    },
    "ssot__LastModifiedById__c": {
      "type": "VARCHAR",
      "placeInOrder": 8,
      "typeCode": 12
    },
    "ssot__Id__c": {
      "type": "VARCHAR",
      "placeInOrder": 0,
      "typeCode": 12
    },
    "ssot__DataSourceObjectId__c": {
      "type": "VARCHAR",
      "placeInOrder": 4,
      "typeCode": 12
    },
    "ssot__LastModifiedDate__c": {
      "type": "TIMESTAMP WITH TIME ZONE",
      "placeInOrder": 9,
      "typeCode": 2014
    },
    "ssot__DataSourceId__c": {
      "type": "VARCHAR",
      "placeInOrder": 3,
      "typeCode": 12
    },
    "KQ_Id__c": {
      "type": "VARCHAR",
      "placeInOrder": 7,
      "typeCode": 12
    }
  }
}
```

#### See Also

- [Data 360 Limits and Guidelines](https://help.salesforce.com/s/articleView?id=data.c360_a_limits_and_guidelines.htm&type=5&language=en_US)